﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;

namespace AutoSizeSpread_CSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
          
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.Sheets[0].RowCount = 10;
            fpSpread1.Sheets[0].ColumnCount = 8;

            fpSpread1.ActiveSheet.Cells[0, 0, 9, 7].Text = "AutoSize";

        
       
        }

        private void btn_Resize_Click(object sender, EventArgs e)
        {
            int w = 0;
            int h = 0;
            foreach (FarPoint.Win.Spread.Column c in fpSpread1.Sheets[0].RowHeader.Columns)
            {
                w = w + (int)c.Width;
            }
            foreach (FarPoint.Win.Spread.Column c in fpSpread1.Sheets[0].Columns)
            {
                w = w + (int)c.Width;
            }
            foreach (FarPoint.Win.Spread.Row r in fpSpread1.Sheets[0].ColumnHeader.Rows)
            {
                h = h + (int)r.Height;
            }
            foreach (FarPoint.Win.Spread.Row r in fpSpread1.Sheets[0].Rows)
            {
                h = h + (int)r.Height;
            }

            fpSpread1.Width = w;
            fpSpread1.Height = h;

            int hs = 0;
            int vs = 0;
            hs = SystemInformation.HorizontalScrollBarHeight;
            vs = SystemInformation.VerticalScrollBarWidth;

            fpSpread1.Width = w + vs;

            fpSpread1.Height = h + hs;
        }
    }
}
